Skillet06Skillet06
(edited: )

is it legal to use older versions of the game like 1.14.60 or do you have to stay with the current version / beta

EDIT: nvm i was told its legal

 
  ElTreagoElTreago

There is no problem with using older versions

 
  KhalooodyKhalooody
(edited: )

Any version is fine, just make sure you are submitting Any% (beta versions) in the beta categories and the full releases in the main boards